.gallery-list {
  margin-left: -2px;
  margin-right: -2px;

  .gallery-item {
    position: relative;

    img {
      width: 100%;
    }
  }

  ion-buttons {
    position: absolute;

    ion-button {

      background-color: rgba(0, 0, 0, .6);
      color: #fff;
      border-radius: 3px;
      width: 40px;
      height: 40px;

      ion-icon {
        font-size: 25px;
      }
    }

  }

  .remove-btn {

    top: 5px;
    right: 5px;
  }

  .crop-btn {
    bottom: 5px;
    left: 5px;
  }

  .img-caption {
    font-size: 120%;
  }
}


/* ======================== */

.gallery-list {
  display: flex;
  flex-wrap: wrap;
}

.gallery-box {
  padding: 0px 2px;
  position: relative;
  margin-bottom: 4px;
}

.gallery-list-max .gallery-box {
  &.last-child {
    .gallery-item::before {
      content: "";
      display: block;
      position: absolute;
      top: 0px;
      left: 0px;
      width: 100%;
      height: 100%;
      background-color: rgba(0, 0, 0, 0.5);
      z-index: 1;
    }

    &::after {
      content: "+"attr(aria-label);
      display: flex;
      align-items: center;
      justify-content: center;
      position: absolute;
      top: 0px;
      left: 0px;
      width: 100%;
      height: 100%;
      z-index: 1;
      color: #fff;
      font-size: 30px;
    }
  }
}


.gallery-item {
  position: relative;
  padding-top: 66.66%;
  overflow: hidden;
}

.gallery-item img {
  background-color: #ccc;
  position: absolute;
  top: 50%;
  left: 50%;
  width: 100%;
  height: 100%;
  transform: translate(-50%, -50%);
  max-width: unset;
  object-fit: cover
}

/* h1 */

.layout_h1 .gallery-box {
  width: 100%;
}

/* h2 */
.layout_h2 .gallery-box {
  width: 50%;
}

.layout_h2 .gallery-box .gallery-item {
  padding-top: 100%;
}

/* h3 */
.layout_h3 .gallery-box {
  width: 50%;
}

.layout_h3 .gallery-box:nth-of-type(1) {
  width: 100%;
}

.layout_h3 .gallery-box .gallery-item {
  padding-top: 100%;
}

.layout_h3 .gallery-box:nth-of-type(1) .gallery-item {
  padding-top: 50%;
}

/* h4 */
.layout_h4 .gallery-box {
  width: 33.33%;
}

.layout_h4 .gallery-box:nth-of-type(1) {
  width: 100%;
}

.layout_h4 .gallery-box .gallery-item {
  padding-top: 100%;
}

.layout_h4 .gallery-box:nth-of-type(1) .gallery-item {
  padding-top: 50%;
}

/* h5 */
.layout_h5 .gallery-box {
  width: 33.33%;
}

.layout_h5 .gallery-box:nth-of-type(1),
.layout_h5 .gallery-box:nth-of-type(2) {
  width: 50%;
}


.layout_h5 .gallery-box .gallery-item {
  padding-top: 100%;
}

.layout_h5 .gallery-box:nth-of-type(1) .gallery-item,
.layout_h5 .gallery-box:nth-of-type(2) .gallery-item {
  padding-top: 100%;
}


/* v1 */

.layout_v1 .gallery-box {
  width: 100%;
}

/* v2 */
.layout_v2 .gallery-box {
  width: 50%;
}

.layout_v2 .gallery-box .gallery-item {
  padding-top: 200%;
}



/* v3 */
.layout_v3 {
  display: block;

  &::after {
    display: block;
    content: "";
    clear: both;
  }
}

.layout_v3 .gallery-box {
  width: 50%;
  float: left;


}

.layout_v3 .gallery-box::after {
  clear: both;
}

.layout_v3 .gallery-box:nth-of-type(1) {
  width: 50%;
}

.layout_v3 .gallery-box .gallery-item {
  padding-top: calc(100% - 2px);
}

.layout_v3 .gallery-box:nth-of-type(1) .gallery-item {
  padding-top: 200%;
}

/* v4 */
.layout_v4 {
  display: block;

  &::after {
    display: block;
    content: "";
    clear: both;
  }
}

.layout_v4 .gallery-box {
  width: 33.33%;
  float: left;
}

.layout_v4::after {
  content: "";
  clear: both;
  display: table;
}

.layout_v4 .gallery-box:nth-of-type(1) {
  width: 66.66%;
}

.layout_v4 .gallery-box .gallery-item {
  padding-top: calc(100% - 2px);
}

.layout_v4 .gallery-box:nth-of-type(1) .gallery-item {
  padding-top: calc(150% - 4px);
}

/* v5 */
.layout_v5 .gallery-box {
  width: 33.33%;
}

.layout_v5 .gallery-box:nth-of-type(1),
.layout_v5 .gallery-box:nth-of-type(2) {
  width: 50%;
}


.layout_v5 .gallery-box .gallery-item {
  padding-top: 100%;
}

.layout_v5 .gallery-box:nth-of-type(1) .gallery-item,
.layout_v5 .gallery-box:nth-of-type(2) .gallery-item {
  padding-top: 100%;
}



/* s1 */

.layout_s1 .gallery-box {
  width: 100%;
}

.layout_s1 .gallery-box .gallery-item {
  padding-top: 100%;
}

/* s2 */
.layout_s2 .gallery-box {
  width: 50%;
}

.layout_s2 .gallery-box .gallery-item {
  padding-top: 100%;
}


/* s3 */
.layout_s3 .gallery-box {
  width: 33.33%;
}

.layout_s3 .gallery-box .gallery-item {
  padding-top: 100%;
}

/* s4 */
.layout_s4 .gallery-box {
  width: 50%;
}

.layout_s4 .gallery-box .gallery-item {
  padding-top: 100%;
}


/* s5 */
.layout_s5 .gallery-box {
  width: 50%;
}

.layout_s5 .gallery-box:nth-of-type(3),
.layout_s5 .gallery-box:nth-of-type(4),
.layout_s5 .gallery-box:nth-of-type(5) {
  width: 33.33%;
}

.layout_s5 .gallery-box .gallery-item {
  padding-top: 100%;
}



.gallery-container{
  position: relative;
  overflow: hidden;
  .list-favorite{
    position: absolute;
    bottom: 0px;
    left: 0px;
    width: 100%;
    
    background: #efefef;
    display: flex;
    justify-content: space-between;
    color: #333;
    font-weight: 500;
    z-index: 100;
    transform: translateY(100%);
    transition: all .5s;
    &.active{
      transform: translateY(0%);
    }

    .link,
    .label{
      padding: 15px;
      font-weight: 600;
    }
    .link{
      text-decoration: none;
      color: var(--ion-color-secondary);
      .fa, .la{
        font-size: 100% !important;
      }
    }
  }
}